# FHIR profiles representing Clinical Building Blocks (CBB)
The table below contains links to FHIR profiles that belong to a CBB. This table gets updated with working links once profiles are created and have gone through the review process.

| A - C | C - I |  I - P |  P - T |
|---|---|---|---|
|     AbilityToEat   <!--{{pagelink:Home/Profiles/HdBe-AbilityToEat.guide.md,   text:AbilityToEat}}--> | {{pagelink:Home/Profiles/HdBe-ContactPerson.guide.md,   text:ContactPerson}} | {{pagelink:Home/Profiles/HdBe-LaboratoryTestResult.guide.md,   text:LaboratoryTestResult}} |     ParticipationInSociety   <!--{{pagelink:Home/Profiles/HdBe-ParticipationInSociety.guide.md,   text:ParticipationInSociety}}--> |
|     AbilityToGroom   <!--{{pagelink:Home/Profiles/HdBe-AbilityToGroom.guide.md,   text:AbilityToGroom}}--> |     DispenseRequest   <!--{{pagelink:Home/Profiles/HdBe-DispenseRequest.guide.md,   text:DispenseRequest}}--> |     LanguageProficiency   <!--{{pagelink:Home/Profiles/HdBe-LanguageProficiency.guide.md,   text:LanguageProficiency}}--> | {{pagelink:Home/Profiles/HdBe-Patient.guide.md, text:Patient}} |
|     AbilityToManageMedication   <!--{{pagelink:Home/Profiles/HdBe-AbilityToManageMedication.guide.md,   text:AbilityToManageMedication}}--> |     DOSScore   <!--{{pagelink:Home/Profiles/HdBe-DOSScore.guide.md,   text:DOSScore}}--> |     LegalSituation   <!--{{pagelink:Home/Profiles/HdBe-LegalSituation.guide.md,   text:LegalSituation}}--> |     Pregnancy   <!--{{pagelink:Home/Profiles/HdBe-Pregnancy.guide.md,   text:Pregnancy}}-->    |
|     AbilityToPerformMouthcareActivities   <!--{{pagelink:Home/Profiles/HdBe-AbilityToPerformMouthcareActivities.guide.md,   text:AbilityToPerformMouthcareActivities}}--> |     Education   <!--{{pagelink:Home/Profiles/HdBe-Education.guide.md,   text:Education}}--> |     LifeStance   <!--{{pagelink:Home/Profiles/HdBe-LifeStance.guide.md,   text:LifeStance}}--> |     PressureUlcer   <!--{{pagelink:Home/Profiles/HdBe-PressureUlcer.guide.md,   text:PressureUlcer}}-->    |
|     AbilityToPerformNursingActivities   <!--{{pagelink:Home/Profiles/HdBe-AbilityToPerformNursingActivities.guide.md,   text:AbilityToPerformNursingActivities}}--> |     Encounter   <!--{{pagelink:Home/Profiles/HdBe-Encounter.guide.md,   text:Encounter}}--> |     LivingSituation   <!--{{pagelink:Home/Profiles/HdBe-LivingSituation.guide.md,   text:LivingSituation}}--> |     Problem   <!--{{pagelink:Home/Profiles/HdBe-Problem.guide.md, text:Problem}}-->    |
|     AbilityToUseToilet   <!--{{pagelink:Home/Profiles/HdBe-AbilityToUseToilet.guide.md,   text:AbilityToUseToilet}}--> |     EpisodeOfCare   <!--{{pagelink:Home/Profiles/HdBe-EpisodeOfCare.guide.md,   text:EpisodeOfCare}}--> | {{pagelink:Home/Profiles/HdBe-Patient.guide.md, text:MaritalStatus}} |     Procedure   <!--{{pagelink:Home/Profiles/HdBe-Procedure.guide.md,   text:Procedure}}-->    |
|     AbilityToWashOneself   <!--{{pagelink:Home/Profiles/HdBe-AbilityToWashOneself.guide.md,   text:AbilityToWashOneself}}--> |     FamilyHistory   <!--{{pagelink:Home/Profiles/HdBe-FamilyHistory.guide.md,   text:FamilyHistory}}--> |     MedicalDevice   <!--{{pagelink:Home/Profiles/HdBe-MedicalDevice.guide.md,   text:MedicalDevice}}--> |     PulseRate   <!--{{pagelink:Home/Profiles/HdBe-PulseRate.guide.md,   text:PulseRate}}-->    |
|     AdministrationAgreement   <!--{{pagelink:Home/Profiles/HdBe-AdministrationAgreement.guide.md,   text:AdministrationAgreement}}--> |     FamilySituation   <!--{{pagelink:Home/Profiles/HdBe-FamilySituation.guide.md,   text:FamilySituation}}--> |     MedicationAdministration2   <!--{{pagelink:Home/Profiles/HdBe-MedicationAdministration2.guide.md,   text:MedicationAdministration2}}--> |     Range   <!--{{pagelink:Home/Profiles/HdBe-Range.guide.md, text:Range}}-->    |
| {{pagelink:Home/Profiles/HdBe-AddressInformation.guide.md,   text:AddressInformation}}  |     FamilySituationChild   <!--{{pagelink:Home/Profiles/HdBe-FamilySituationChild.guide.md,   text:FamilySituationChild}}--> |     MedicationAgreement   <!--{{pagelink:Home/Profiles/HdBe-MedicationAgreement.guide.md,   text:MedicationAgreement}}--> |     Refraction   <!--{{pagelink:Home/Profiles/HdBe-Refraction.guide.md,   text:Refraction}}-->    |
|     AdvanceDirective   <!--{{pagelink:Home/Profiles/HdBe-AdvanceDirective.guide.md,   text:AdvanceDirective}}--> |     FeedingPatternInfant   <!--{{pagelink:Home/Profiles/HdBe-FeedingPatternInfant.guide.md,   text:FeedingPatternInfant}}--> |     MedicationContraIndication   <!--{{pagelink:Home/Profiles/HdBe-MedicationContraIndication.guide.md,   text:MedicationContraIndication}}--> |     Respiration   <!--{{pagelink:Home/Profiles/HdBe-Respiration.guide.md,   text:Respiration}}-->    |
|     Alert   <!--{{pagelink:Home/Profiles/HdBe-Alert.guide.md,   text:Alert}}--> |     FeedingTubeSystem   <!--{{pagelink:Home/Profiles/HdBe-FeedingTubeSystem.guide.md,   text:FeedingTubeSystem}}--> |     MedicationDispense   <!--{{pagelink:Home/Profiles/HdBe-MedicationDispense.guide.md,   text:MedicationDispense}}--> |     SkinDisorder   <!--{{pagelink:Home/Profiles/HdBe-SkinDisorder.guide.md,   text:SkinDisorder}}-->    |
|     AllergyIntolerance   <!--{{pagelink:Home/Profiles/HdBe-AllergyIntolerance.guide.md,   text:AllergyIntolerance}}--> |     FluidBalance   <!--{{pagelink:Home/Profiles/HdBe-FluidBalance.guide.md,   text:FluidBalance}}--> |     MedicationUse2   <!--{{pagelink:Home/Profiles/HdBe-MedicationUse2.guide.md,   text:MedicationUse2}}--> |     SNAQScore   <!--{{pagelink:Home/Profiles/HdBe-SNAQScore.guide.md,   text:SNAQScore}}-->    |
| {{pagelink:Home/Profiles/HdBe-AnatomicalLocation.guide.md,   text:AnatomicalLocation}} |     FreedomRestrictingIntervention   <!--{{pagelink:Home/Profiles/HdBe-FreedomRestrictingIntervention.guide.md,   text:FreedomRestrictingIntervention}}--> |     Mobility   <!--{{pagelink:Home/Profiles/HdBe-Mobility.guide.md,   text:Mobility}}--> |     SOAPReport   <!--{{pagelink:Home/Profiles/HdBe-SOAPReport.guide.md,   text:SOAPReport}}-->    |
|     ApgarScore   <!--{{pagelink:Home/Profiles/HdBe-ApgarScore.guide.md,   text:ApgarScore}}--> |     FunctionalOrMentalStatus   <!--{{pagelink:Home/Profiles/HdBe-FunctionalOrMentalStatus.guide.md,   text:FunctionalOrMentalStatus}}--> | {{pagelink:Home/Profiles/HdBe-NameInformation.guide.md,   text:NameInformation}} |     Stoma   <!--{{pagelink:Home/Profiles/HdBe-Stoma.guide.md, text:Stoma}}-->    |
|     BarthelADLIndex   <!--{{pagelink:Home/Profiles/HdBe-BarthelADLIndex.guide.md,   text:BarthelADLIndex}}--> |     GlasgowComaScale   <!--{{pagelink:Home/Profiles/HdBe-GlasgowComaScale.guide.md,   text:GlasgowComaScale}}--> | {{pagelink:Home/Profiles/HdBe-Patient.guide.md, text:Nationality}} |     TextResult   <!--{{pagelink:Home/Profiles/HdBe-TextResult.guide.md,   text:TextResult}}-->    |
|     BladderFunction   <!--{{pagelink:Home/Profiles/HdBe-BladderFunction.guide.md,   text:BladderFunction}}--> | {{pagelink:Home/Profiles/HdBe-HealthcareProvider.guide.md,   text:HealthcareProvider}} |     NursingIntervention   <!--{{pagelink:Home/Profiles/HdBe-NursingIntervention.guide.md,   text:NursingIntervention}}--> |     TimeInterval   <!--{{pagelink:Home/Profiles/HdBe-TimeInterval.guide.md,   text:TimeInterval}}-->    |
|     BloodPressure   <!--{{pagelink:Home/Profiles/HdBe-BloodPressure.guide.md,   text:BloodPressure}}--> | {{pagelink:Home/Profiles/HdBe-HealthProfessional.guide.md,   text:HealthProfessional}} |     NutritionAdvice   <!--{{pagelink:Home/Profiles/HdBe-NutritionAdvice.guide.md,   text:NutritionAdvice}}--> |     TNMTumorClassification   <!--{{pagelink:Home/Profiles/HdBe-TNMTumorClassification.guide.md,   text:TNMTumorClassification}}-->    |
|     BodyHeight   <!--{{pagelink:Home/Profiles/HdBe-BodyHeight.guide.md,   text:BodyHeight}}--> |     HearingFunction   <!--{{pagelink:Home/Profiles/HdBe-HearingFunction.guide.md,   text:HearingFunction}}--> |     O2Saturation   <!--{{pagelink:Home/Profiles/HdBe-O2Saturation.guide.md,   text:O2Saturation}}--> |     TobaccoUse   <!--{{pagelink:Home/Profiles/HdBe-TobaccoUse.guide.md,   text:TobaccoUse}}-->    |
|     Burnwound   <!--{{pagelink:Home/Profiles/HdBe-Burnwound.guide.md,   text:Burnwound}}--> |     HeartRate   <!--{{pagelink:Home/Profiles/HdBe-HeartRate.guide.md,   text:HeartRate}}--> |     OutcomeOfCare   <!--{{pagelink:Home/Profiles/HdBe-OutcomeOfCare.guide.md,   text:OutcomeOfCare}}--> |     TreatmentDirective2   <!--{{pagelink:Home/Profiles/HdBe-TreatmentDirective2.guide.md,   text:TreatmentDirective2}}-->    |
|     CareTeam   <!--{{pagelink:Home/Profiles/HdBe-CareTeam.guide.md,   text:CareTeam}}--> |     HelpFromOthers   <!--{{pagelink:Home/Profiles/HdBe-HelpFromOthers.guide.md,   text:HelpFromOthers}}--> |     PainCharacteristics   <!--{{pagelink:Home/Profiles/HdBe-PainCharacteristics.guide.md,   text:PainCharacteristics}}--> |     TreatmentObjective   <!--{{pagelink:Home/Profiles/HdBe-TreatmentObjective.guide.md,   text:TreatmentObjective}}-->    |
| {{pagelink:Home/LogicalModels/HdBe-ContactInformation.guide.md,   text:ContactInformation}} |        IllnessPerception   <!--{{pagelink:Home/LogicalModels/draft/HdBe-IllnessPerception.guide.md,   text:IllnessPerception}}--> |        PainScore   <!--{{pagelink:Home/LogicalModels/draft/HdBe-PainScore.guide.md,   text:PainScore}}--> |  |